Api Documentation

Events

Events are organized happenings that will bring your network closer together. The pictures field contains an array of picture id's that can be used in the FILES endpoint to obtain the actual image. Adding pictures to events is also done through the FILES endpoint. Please refer to the documentation of the FILES endpoint for more information on how to do this.
Creates a new event. Only available to API keys without user authentication. When an image tag is included in the description field, these files are downloaded. They need to be publicly accessible. We support PNG and JPEG image file types.
Updates an event. Only available to API keys without user authentication.
Deletes a single event. Only available to API keys without user authentication.
Json
XML
PUT https://api.bundeling.com/V2/events/:uuid

Parameters

Url

NameDescriptionType
uuidA unique identifier used to identify an eventstring

Body

NameDescriptionTypeNillable
author_uuidA unique identifier used to identify the author of the event.stringtrue
titleThe name of the eventstringfalse
descriptionThe description of the event containing more informationstringfalse
categoryThe categorystringfalse
category_uuidA unique identifier used to identify the category of the event.stringtrue
locationThe location of the eventstringfalse
dateThe date and time of the event.datetimefalse
attendanceenddateThe date and time when users can no longer set their status to "attending".datetimetrue
enddateThe date and time on which the event ends.datetimefalse
social_sharingSetting this to true will allow users to share the event on social media.booleanfalse
draftSave the event as draft or published.booleanfalse
publicationdateThe date and time on which the event becomes visible to users in the app.datetimefalse
notificationdateThe date and time on which the event push notification is sent.datetimefalse
reminder_not_attending_notification_dateThe date and time on which the event push notification will be sent to all users who have not filed attendance.datetimetrue
attending_emailWhen users set their status to "attending" a confirmation email will be sent to this address.stringfalse
hide_attendance_overviewWhen enabled, the attendance overview will be hidden from users.booleanfalse
attendance_enabledSetting this to true will allow users to attend the event.booleanfalse
attendance_advancedSetting this to true will allow advanced register for the event.booleanfalse
attendance_limitThe maximum number of attendees allowed for the event. Set to 0 for unlimited.intfalse
attendance_guestsSetting this to true will allow users to bring guests to the event.booleanfalse
attendance_notesSetting this to true will allow users to write notes.booleanfalse
external_referenceReference for linking to external systems.stringfalse
attendance_form_uuidA unique identifier used to identify the attendace form of the event.stringtrue
labelsLabels to add to this event. Replaces current labelsarray(string)false
actionsTimed events that can be triggered for this eventmixedfalse

Actions

NameDescriptionResettable
pushbroadcast_1_1Send push notification on notification datetrue
pushnotification_client_module_event_pictures_1Push notification "Take an ACTION PHOTO via the app for an unforgettable event" send to all attendees at the starttrue
pushnotification_client_module_event_pictures_2Extra action photo notification "Share event photos via the app. Go to the event and tap the photo icon." send to all attendeestrue
pushnotification_1_1Reminder notification to all not attending userstrue

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Body

{
    "author_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
    "title": "Bundeling gathering",
    "description": "We are organizing a gathering to let our users know about...",
    "category": "Festivals",
    "category_uuid": "8e09c4749b234633a7319148aac8cb81",
    "location": "Uden",
    "date": "2026-08-10T12:00:00+0200",
    "attendanceenddate": "2026-08-06T00:00:00+0200",
    "enddate": "2026-08-10T18:00:00+0200",
    "social_sharing": true,
    "draft": false,
    "publicationdate": "2026-07-27T00:00:00+0200",
    "notificationdate": "2026-07-31T12:00:00+0200",
    "reminder_not_attending_notification_date": "2026-07-31T12:00:00+0200",
    "attending_email": "support@bundeling.com",
    "hide_attendance_overview": false,
    "attendance_enabled": "true",
    "attendance_advanced": "false",
    "attendance_limit": 50,
    "attendance_guests": "true",
    "attendance_notes": "true",
    "external_reference": "123908",
    "attendance_form_uuid": "d669b048d2084892b5a5232b78923227",
    "labels": [
        "eeb763c41c054dcc8f6d9362f24ee9b2"
    ],
    "actions": {
        "pushbroadcast_1_1": {
            "enabled": true
        }
    }
}

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "author_uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
    "headerimage": "eyJjbGllbnQiOjEwLCJwYXRoIjoiYnVsbGV0aW5fYm9hcmRfcGljdHVyZXNcLz...",
    "title": "Bundeling Training",
    "description": "Bundeling will be giving workshops...",
    "language": null,
    "category": "Festivals",
    "category_uuid": "8e09c4749b234633a7319148aac8cb81",
    "location": "Uden",
    "date": "2026-08-10T12:00:00+0200",
    "attendanceenddate": "2026-08-06T00:00:00+0200",
    "enddate": "2026-08-10T18:00:00+0200",
    "social_sharing": false,
    "social_sharing_link": "",
    "draft": false,
    "publicationdate": "2026-07-27T00:00:00+0200",
    "notificationdate": "2026-07-31T12:00:00+0200",
    "reminder_not_attending_notification_date": "2026-08-02T12:00:00+0200",
    "attending_email": "support@bundeling.com",
    "attendance_enabled": true,
    "hide_attendance_overview": false,
    "attendance_advanced": true,
    "actions": {
        "pushbroadcast_1_1": {
            "enabled": true,
            "executed": false
        },
        "pushnotification_client_module_event_pictures_1": {
            "enabled": true,
            "executed": false
        },
        "pushnotification_client_module_event_pictures_2": {
            "enabled": true,
            "executed": false
        },
        "pushnotification_1_1": {
            "enabled": true,
            "executed": false
        }
    },
    "attendance_limit": 0,
    "attendance_guests": true,
    "attendance_notes": true,
    "external_reference": "123908",
    "attending_users": [
        "48b99d307f8746a8b126f76be5d1153e",
        "603222387277473c997e1b0f92f45076"
    ],
    "attendance_form_uuid": "d669b048d2084892b5a5232b78923227",
    "visitor_count": 56,
    "pictures": [
        "eyJjbGllbnQiOjEwLCJwYXRoIjoiYnVsbGV0aW5fYm9hcmRfcGljdHVyZXNcLz..."
    ],
    "labels": [
        "d7743aaf53224e279853c7d0c1dbfb3a",
        "d7743aaf53224e279853c7d0c1dbfb3a"
    ],
    "combined_labels": {
        "uuid": "d7743aaf53224e279853c7d0c1dbfb3a",
        "labels": [
            "d7743aaf53224e279853c7d0c1dbfb3a",
            "d7743aaf53224e279853c7d0c1dbfb3a"
        ]
    },
    "creationdate": "2026-04-03T00:00:00+0200",
    "lastupdate": "2026-04-03T00:00:00+0200"
}